Subject: Re: git-http-push and hooks

From: Nick Hengeveld <[email-masked]>
Date: Tue, 7 Feb 2006 12:23:51 -0800

On Tue, Feb 07, 2006 at 08:54:58PM +0100, Fredrik Kuivinen wrote:

> I know basically nothing about DAV, but wouldn't it be possible to
> have a CGI-script which executes the hooks upon the client's request?

It would, although if custom software can be run on the server you might
as well run the git daemon.

There are options for a DAV-only environment though.  While the hooks
themselves can't be run, git-http-push can be modified to update the
remote pack and ref info (although it's not clear to me under what
conditions it should do so...)  DAV-specific versions of pack
management utilities are feasible as well.

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.